Page MenuHomePhabricator

[mips] Range check uimm6_lsl2.
ClosedPublic

Authored by dsanders on Feb 16 2016, 7:25 AM.

Diff Detail

Event Timeline

dsanders updated this revision to Diff 48069.Feb 16 2016, 7:25 AM
dsanders retitled this revision from to [mips] Range check uimm6_lsl2..
dsanders updated this object.
dsanders added a reviewer: vkalintiris.
dsanders added a subscriber: llvm-commits.
dsanders updated this revision to Diff 49384.Feb 29 2016, 9:07 AM

Rebase and ping

vkalintiris accepted this revision.Mar 7 2016, 3:52 AM
vkalintiris edited edge metadata.

LGTM.

We can merge the functionality of several template functions by merging them into a bigger one with more template parameters (or by checking their value). This is not required for this patch, it would be nice to keep in mind though.

This revision is now accepted and ready to land.Mar 7 2016, 3:52 AM
dsanders closed this revision.Mar 14 2016, 4:21 AM